summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorLW-archlinux2019-10-31 16:42:12 +0100
committerLW-archlinux2019-10-31 16:42:12 +0100
commitcb2de8d3a6feaa73d0f209fb98ce2984c5c86b2d (patch)
tree392262467897fff6c00e4c884dc114177af8ba22
parent5473ba77709e9587758b848d311406e67a751e2c (diff)
downloadaur-cb2de8d3a6feaa73d0f209fb98ce2984c5c86b2d.tar.gz
updated license field
-rw-r--r--.SRCINFO32
-rw-r--r--PKGBUILD4
2 files changed, 18 insertions, 18 deletions
diff --git a/.SRCINFO b/.SRCINFO
index fc16cbfed9d..1cf1844afbc 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,9 +1,9 @@
pkgbase = llvm-git
- pkgver = 10.0.0_r327286.eb231d15825
+ pkgver = 10.0.0_r328055.120a5e9a745
pkgrel = 1
url = https://llvm.org/
arch = x86_64
- license = custom:University of Illinois/NCSA Open Source License
+ license = custom:Apache 2.0 with LLVM Exception
makedepends = git
makedepends = cmake
makedepends = ninja
@@ -31,24 +31,24 @@ pkgbase = llvm-git
pkgname = llvm-git
pkgdesc = LLVM development version. includes clang and many other tools
- depends = llvm-libs-git=10.0.0_r327286.eb231d15825-1
+ depends = llvm-libs-git=10.0.0_r328055.120a5e9a745-1
depends = perl
optdepends = python: for scripts
optdepends = python-setuptools: for using lit (LLVM Integrated Tester)
optdepends = ocaml: for ocaml support
provides = aur-llvm-git
- provides = compiler-rt-git=10.0.0_r327286.eb231d15825-1
- provides = clang-git=10.0.0_r327286.eb231d15825-1
- provides = lld-git=10.0.0_r327286.eb231d15825-1
- provides = lldb-git=10.0.0_r327286.eb231d15825-1
- provides = polly-git=10.0.0_r327286.eb231d15825-1
- provides = llvm-ocaml-git=10.0.0_r327286.eb231d15825-1
- provides = compiler-rt=10.0.0_r327286.eb231d15825-1
- provides = clang=10.0.0_r327286.eb231d15825-1
- provides = lld=10.0.0_r327286.eb231d15825-1
- provides = lldb=10.0.0_r327286.eb231d15825-1
- provides = polly=10.0.0_r327286.eb231d15825-1
- provides = llvm-ocaml=10.0.0_r327286.eb231d15825-1
+ provides = compiler-rt-git=10.0.0_r328055.120a5e9a745-1
+ provides = clang-git=10.0.0_r328055.120a5e9a745-1
+ provides = lld-git=10.0.0_r328055.120a5e9a745-1
+ provides = lldb-git=10.0.0_r328055.120a5e9a745-1
+ provides = polly-git=10.0.0_r328055.120a5e9a745-1
+ provides = llvm-ocaml-git=10.0.0_r328055.120a5e9a745-1
+ provides = compiler-rt=10.0.0_r328055.120a5e9a745-1
+ provides = clang=10.0.0_r328055.120a5e9a745-1
+ provides = lld=10.0.0_r328055.120a5e9a745-1
+ provides = lldb=10.0.0_r328055.120a5e9a745-1
+ provides = polly=10.0.0_r328055.120a5e9a745-1
+ provides = llvm-ocaml=10.0.0_r328055.120a5e9a745-1
conflicts = llvm
conflicts = compiler-rt
conflicts = clang
@@ -66,6 +66,6 @@ pkgname = llvm-libs-git
depends = ncurses
depends = libxml2
provides = aur-llvm-libs-git
- provides = llvm-libs=10.0.0_r327286.eb231d15825-1
+ provides = llvm-libs=10.0.0_r328055.120a5e9a745-1
conflicts = llvm-libs
diff --git a/PKGBUILD b/PKGBUILD
index 8dc97486b7c..22222145113 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -15,11 +15,11 @@
pkgname=('llvm-git' 'llvm-libs-git')
-pkgver=10.0.0_r327286.eb231d15825
+pkgver=10.0.0_r328055.120a5e9a745
pkgrel=1
arch=('x86_64')
url="https://llvm.org/"
-license=('custom:University of Illinois/NCSA Open Source License')
+license=('custom:Apache 2.0 with LLVM Exception')
makedepends=( 'git' 'cmake' 'ninja' 'libffi' 'libedit' 'ncurses' 'libxml2' 'python-sphinx'
'ocaml' 'ocaml-ctypes' 'ocaml-findlib'
'python-sphinx' 'python-recommonmark' 'swig' 'python')